package com.muyu.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.source.domain.req.DataSourceQueryReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * u
 *
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-20-10:59
 * @ Version：1.0
 * @ Description：数据源
 */


@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "data_source", autoResultMap = true)
public class DataSource extends BaseEntity {
    /**
     * 主键
     */
    @Excel(name = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 接入源名称
     */
    @Excel(name = "接入源名称")
    @TableField("name")
    private String name;
    /**
     * 数据来源系统名称
     */
    @Excel(name = "数据来源系统名称")
    @TableField("system_name")
    private String systemName;

    /**
     * 数据库类型
     */
    @Excel(name = "数据库类型")
    @TableField("data_type")
    private String dataType;

    /**
     * ip地址
     */
    @Excel(name = "ip地址")
    @TableField("ip")
    private String ip;

    /**
     * 端口号
     */
    @Excel(name = "端口号")
    @TableField("port")
    private String port;

    /**
     * 数据库名称
     */
    @Excel(name = "数据库名称")
    @TableField("database_name")
    private String databaseName;

    /**
     * 用户名
     */
    @Excel(name = "用户名")
    @TableField("user_name")
    private String userName;

    /**
     * 密码
     */
    @Excel(name = "密码")
    @TableField("password")
    private String password;

    /**
     * 数据连接参数
     */
    @Excel(name = "数据连接参数")
    @TableField("connection_param")
    private String connectionParam;

    /**
     * 是否初始化 状态 'Y'/'N'
     */
    @Excel(name = "是否初始化")
    @TableField("is_init")
    private String isInit;

    /**
     * 初始化连接数量
     */
    @Excel(name = "初始连接数量")
    @TableField("init_total")
    private Long initNum;

    /**
     * 最大连接数量
     */
    @Excel(name = "最大连接数量")
    @TableField("max_num")
    private Long maxNum;

    /**
     * 最大等待时间
     */
    @Excel(name = "最大等待时间")
    @TableField("max_wait_time")
    private Long maxWaitTime;

    /**
     * 最大等待次数
     */
    @Excel(name = "最大等待次数")
    @TableField("max_wait_size")
    private Long maxWaitSize;


    /**
     * 查询构造器
     */
    public static DataSource queryBuild( DataSourceQueryReq dataSourceQueryReq){
        return DataSource.builder()
                .name(dataSourceQueryReq.getName())
                .systemName(dataSourceQueryReq.getSystemName())
                .build();
    }

}
