package com.muyu.source.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-21-14:14
 * @ Version：1.0
 * @ Description：数据源对象
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "数据源列表")
@EqualsAndHashCode(callSuper = true)
public class DataSourceEditReq extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 接入源名称
     */

    private String name;

    /**
     * 数据来源系统名称
     */

    private String systemName;

    /**
     * 数据库类型
     */

    private String dataType;

    /**
     * ip地址
     */

    private String ip;

    /**
     * 端口号
     */

    private String port;

    /**
     * 数据库名称
     */

    private String databaseName;

    /**
     * 用户名
     */

    private String userName;

    /**
     * 密码
     */

    private String password;

    /**
     * 数据连接参数
     */

    private String connectionParam;

    /**
     * 是否初始化
     */

    private String isInit;

    /**
     * 初始连接数量
     */

    private Long initTotal;

    /**
     * 最大连接数量
     */

    private Long maxNum;

    /**
     * 最大等待时间
     */

    private Long maxWaitTime;

    /**
     * 最大等待次数
     */

    private Long maxWaitSize;
}
