package com.muyu.source.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.source.domain.DataSource;
import com.muyu.source.mapper.DataSourceMapper;
import com.muyu.source.service.DataSourceService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-20-20:06
 * @ Version：1.0
 * @ Description：数据源业务层
 * @author Lenovo
 */
@Service
public class DataSourceServiceImpl extends ServiceImpl<DataSourceMapper, DataSource> implements DataSourceService {


    /**
     * 查询数据源的列表
     * @param dataSource 数据源
     * @return 数据源
     */
    @Override
    public List<DataSource> list(DataSource dataSource) {
        LambdaQueryWrapper<DataSource> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        if(StringUtils.isNotEmpty(dataSource.getName())){
            lambdaQueryWrapper.like(DataSource::getName,dataSource.getName());
        }
        if(StringUtils.isNotEmpty(dataSource.getSystemName())){
            lambdaQueryWrapper.like(DataSource::getSystemName,dataSource.getSystemName());
        }
        return list(lambdaQueryWrapper);
    }
}

